export declare const enum PageModeEvent {
    CREATE = "create",
    EDIT = "edit",
    OPEN = "open",
    INSPECT = "inspect",
    SUMMARY = "summary"
}
export interface Control<ControlTypeAttributes extends TypeAttributes = TypeAttributes> {
    id?: string;
    attributes?: ControlAttributes;
    typeAttributes: ControlTypeAttributes;
    attrs: ControlAttrs;
    childNodes?: Control[];
}
export interface ControlAttrs {
    attributes?: {
        disabled: boolean;
        showActionHistory: boolean;
        showVersionHistory: boolean;
    };
    id: string;
    category: string;
    type: string;
    states?: ControlStates;
}
export interface TypeAttributes {
    [property: string]: any;
}
export interface ControlAttributes extends TypeAttributes {
    global?: {
        state?: GlobalControlStates;
        groupRestrictions?: Array<{
            id: string;
            name: string;
        }>;
    };
}
export interface ControlStates {
    readOnly?: boolean;
    required?: boolean;
    hidden?: boolean;
}
export interface GlobalControlStates {
    conditions?: any[];
    readOnly?: boolean;
    required?: boolean;
    hidden?: boolean;
}
export interface SlidingPanelProperties {
    [property: string]: any;
}
export interface RefreshablePageControlOptions {
    refreshCategory?: string;
    requiresIndex?: boolean;
}
